Skip to main content
GET
/
v1
/
shipping_choices
List
curl --request GET \
  --url https://{defaultHost}/v1/shipping_choices \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/shipping_choices"
  },
  "data": [
    {
      "id": "801cb082-937a-4231-8420-e63876e4bb83",
      "object": "shipping_choice",
      "amount": 500,
      "currency": "usd",
      "live": false,
      "carrier_quotes": [],
      "checkout": "b2334277-f4c8-472d-9ad5-6c737ee06182",
      "shipping_method": null,
      "created_at": 1780925626,
      "updated_at": 1780925626
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

checkout_ids[]
string[]

Only return objects that belong to the given checkouts.

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.